This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 390151 - Anaconda can't parse "clearpart --all --initlabel"
Anaconda can't parse "clearpart --all --initlabel"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 04:33 EST by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-19 11:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-19 04:33:34 EST
Description of problem:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 906, in <module>
    kickstart.processKickstartFile(anaconda, opts.ksfile)
  File "/usr/lib/anaconda/kickstart.py", line 871, in processKickstartFile
    ksparser.readKickstart(file)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 682, in
readKickstart
    self._stateMachine (lambda: fh.readline())
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 560, in
_stateMachine
    self.handleCommand(lineno, args)
  File "/usr/lib/anaconda/kickstart.py", line 823, in handleCommand
    KickstartParser.handleCommand(self, lineno, args)
  File "/usr/lib/python2.5/site-packages/pykickstart/parser.py", line 413, in
handleCommand
    self.handler.dispatcher(args, lineno)
  File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 321, in
dispatcher
    self.commands[cmd].parse(args[1:])
  File "/usr/lib/anaconda/kickstart.py", line 178, in parse
    commands.clearpart.FC3_ClearPart.parse(self, args)
  File "/usr/lib/python2.5/site-packages/pykickstart/commands/clearpart.py",
line 85, in parse
    self.op._setToSelf(self.op, opts)
AttributeError: KSOptionParser instance has no attribute '_setToSelf'

Version-Release number of selected component (if applicable):

2007-11-18 rawhide anaconda, 11.4.0.1

Additional info:

This is my kickstart file:

install
url --url=http://storm.lan/linux/fedora/rawhide/i386/os/
zerombr yes
clearpart --all --initlabel
autopart
auth  --useshadow  --enablemd5 
rootpw --iscrypted XXXXX
keyboard us
lang en_US
timezone --utc Europe/Bratislava
firewall --disabled
firstboot --disable
bootloader --location=mbr --append="panic=10"
reboot
%packages --default
Comment 1 Chris Lumens 2007-11-19 11:18:15 EST
This will be fixed in the next build of pykickstart.

Note You need to log in before you can comment on or make changes to this bug.